can't see the Operating system Environment  Model in the foreman of windows 2003
Target version:    
Pull request:    

Description

I've found several issues after adding a new Windows host to Foreman 1.8.

The Windows test client is 2003 Server, running Puppet client 3.8.1.

I've tried installing Foreman in various test environments:

OS: centos 6.5  (minimal basic installation) + Foreman 1.8 (using foreman-installer): host is added, but

- no "Operating system", "Environment", "Model" info is shown in "Hosts"->"All hosts" dashboard for the Windows host

- no "Properties" is shown in host's detailed page (left click on the host) .

OS:  centos 6.5 (minimal basic installation) + Foreman 1.8 (using foreman-installer):

The problem seems to be related to the way interfaces are handled in Foreman 1.8. In fact, there is an exception shown in

/var/log/foreman/production.log

Related issues:

Related to Foreman - Bug #10397: [Foreman 1.8]Error retrieving facts from win... Closed 05/06/2015

History

#1 - 08/03/2015 03:33 AM - Dominic Cleal

- Category set to Facts

- Priority changed from Immediate to Normal

- translation missing: en.field_release deleted (62)

Please include the full section from production.log showing the fact uploads and exceptions you mentioned.  Also confirm the precise version of

Foreman from Administer > About, or package version.

#2 - 08/03/2015 03:33 AM - Dominic Cleal

- Status changed from New to Need more information

#3 - 08/10/2015 03:46 PM - yfan y

- File production.log added

the version is  1.8.2.

#4 - 08/11/2015 03:15 AM - Dominic Cleal

- Related to Bug #10397: [Foreman 1.8]Error retrieving facts from windows node added

#5 - 08/11/2015 03:16 AM - Dominic Cleal

Thanks, could you run "facter --json" on your Windows host and attach the output please?  Something in the network data coming from the client is

causing the issue.

As a temporary workaround, you can set ignore_puppet_facts_for_provisioning to true under Administer > Settings > Puppet, which won't try to import
network interfaces anymore.

#6 - 08/11/2015 02:57 PM - yfan y

- File jsonoutput added

thank you ! now

after set ignore_puppet_facts_for_provisioning => true

I can see "Operating system", "Environment", "Model" info is shown in "Hosts"->"All hosts" dashboard for the Windows host.

but I still can't get the ip address in the host detail.

the attachment is the json output.

#7 - 08/12/2015 03:26 AM - Dominic Cleal

The problem is that the "interfaces" fact is empty, this should be a list of network connections.  Could you try upgrading Facter perhaps?

#8 - 08/12/2015 05:27 AM - yfan y

how to update facter? the windows puppet agent is install with msi? or has any other way to solve？

#9 - 08/12/2015 05:32 AM - Dominic Cleal

I haven't a clue, but I'm only suggesting it as a first step to resolve the empty interfaces name.  There's clearly a bug remaining in Foreman when it's

blank, we should handle that without an error, but the underlying cause of lack of networking info is that it's blank.

You may want to use the Puppet docs, puppet-users list or #puppet IRC channel if you're unsure about upgrading.

#10 - 08/12/2015 07:24 AM - yfan y

Dominic Cleal wrote:

I haven't a clue, but I'm only suggesting it as a first step to resolve the empty interfaces name.  There's clearly a bug remaining in Foreman when

it's blank, we should handle that without an error, but the underlying cause of lack of networking info is that it's blank.

You may want to use the Puppet docs, puppet-users list or #puppet IRC channel if you're unsure about upgrading.

 thank you! I try to fix the facter get interface empty string  problem.

#11 - 02/29/2016 09:33 AM - Tomer Brisker

- Status changed from Need more information to Resolved

Seems to have been a facter issue that was resolved. Closing, please feel free to reopen if issue still occurs.

Files

production.log 73.5 KB 08/10/2015 yfan y

jsonoutput 2.25 KB 08/11/2015 yfan y
